<script setup>
import { Link } from '@inertiajs/vue3';
import { customPopup, setupSearch } from '@/store.js';
const props = defineProps({
    disable: Object,
    current: Number,
})
</script>
<template>
    <div class="main__nav">
        <Link :href='"/comps/add"' class="main__button" :class="{'disabled': props.disable.new}">Новая комплектация</Link>
        <Link :href='"/comps"' class="main__button" :class="{'disabled': props.disable.index}">Мои комплектации</Link>
        <div class="main__button" :class="{'disabled': props.disable.save}" @click="$emit('saving')">Сохранить комплектацию</div>
        <Link :href='"/comps/add/"+current' class="main__button" :class="{'disabled': props.disable.copy}">Создать на основе текущей</Link>
        <div @click="customPopup()" class="main__button" :class="{'disabled': props.disable.position}">Добавить доп. оборудование</div>
    </div>
</template>
